import {
  IsBoolean,
  IsEmail,
  IsInt,
  IsNotEmpty,
  IsNumber,
  IsOptional,
  IsPhoneNumber,
  IsString,
} from 'class-validator';

export class UpdateInstitucionDto {
  @IsInt()
  id_institucion: number;

  @IsBoolean()
  @IsOptional()
  activo?: boolean;

  @IsEmail()
  @IsOptional()
  correo?: string;

  @IsNumber()
  @IsOptional()
  dias_multa_retraso?: number;

  @IsString()
  @IsNotEmpty()
  @IsOptional()
  dominio?: string;

  @IsString()
  @IsNotEmpty()
  @IsOptional()
  responsable?: string;

  @IsPhoneNumber('MX')
  @IsOptional()
  telefono?: string;

  @IsNumber()
  @IsOptional()
  tiempo_entrega?: number;

  @IsNumber()
  @IsOptional()
  tiempo_prestamo?: number;

  @IsNumber()
  @IsOptional()
  tiempo_recoger?: number;

  @IsString()
  @IsNotEmpty()
  @IsOptional()
  ubicacion?: string;
}
