import {
  IsInt,
  IsNotEmpty,
  IsOptional,
  IsPhoneNumber,
  IsString,
} from 'class-validator';

export class RegistrarUsuarioInputDto {
  @IsInt()
  @IsOptional()
  id_institucion_carrera: number;

  @IsPhoneNumber('MX')
  telefono: string;

  @IsString()
  @IsNotEmpty()
  usuario: string;

  @IsString()
  @IsNotEmpty()
  @IsOptional()
  rfc?: string;
}
